/*
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 */
package com.sun.glass.events;

public class ViewEvent {
    final static public int LOCKED      = 411; // gznote: better name than INTERRUPT
    final static public int UNLOCKED    = 412; // gznote: better name than UNINTERRUPT

    final static public int ADD         = 421;
    final static public int REMOVE      = 422;

    final static public int REPAINT     = 431;
    final static public int RESIZE      = 432;
    final static public int MOVE        = 433; // a-la "insets changed"

    final static public int FULLSCREEN_ENTER = 441;
    final static public int FULLSCREEN_EXIT  = 442;

    static public String GetTypeString(int type) {
        String string = "UNKNOWN";
        switch (type) {
            case LOCKED: string = "LOCKED"; break;
            case UNLOCKED: string = "UNLOCKED"; break;

            case ADD: string = "ADD"; break;
            case REMOVE: string = "REMOVE"; break;

            case REPAINT: string = "REPAINT"; break;
            case RESIZE: string = "RESIZE"; break;
        }
        return string;
    }
}
